<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN"
    "http://www.springframework.org/dtd/spring-beans.dtd">
    <beans>	
	
	<!-- DBCP 설정   -->
	<bean id="dataSource" 
       class="org.apache.commons.dbcp.BasicDataSource" destroy-method="close">
       <property name="driverClassName">
           <value>oracle.jdbc.driver.OracleDriver</value>
       </property>
       <property name="url">
           <value>jdbc:oracle:thin:@localhost:1521:wink</value>
       </property>
       <property name="username">
           <value>scott</value>
       </property>
       <property name="password">
           <value>tiger</value>
       </property>       
    </bean>

	
	<bean id="boardDAO" class="board.dao.SpringJdbcDAO">
		<property name="dataSource">
			<ref local="dataSource" />
		</property>
	</bean> 
	
	<bean id="boardService" class="board.service.BoardServiceImpl">
		<property name="boardDAO">
			<ref local="boardDAO"/>
		</property>
	</bean>
    
</beans>
